Unreviewed, fix GTK/EFL build after r197575 and add mandatory GnuTLS dependency